Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.mappings
Class AttributeAccessor

`java.lang.Object
oracle.toplink.mappings.AttributeAccessor`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public abstract class AttributeAccessor
extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

Purpose: This provides an abstract class for setting and retrieving the attribute value for the mapping from an object. It can be used in advanced situations if the attribute requires advanced conversion of the mapping value, or a real attribute does not exist.

Since:
  OracleAS TopLink 10g (10.0.3)
See Also:
  Serialized Form

Constructor Summary
`AttributeAccessor()`

Method Summary
`java.lang.Class` | `getAttributeClass()` Return the class type of the attribute.
`abstract java.lang.Object` | `getAttributeValueFromObject(java.lang.Object object)` Return the attribute value from the object.
`void` | `initializeAttributes(java.lang.Class descriptorClass)` Allow any initialization to be performed with the descriptor class.
`abstract void` | `setAttributeValueInObject(java.lang.Object object, java.lang.Object value)` Set the attribute value into the object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeAccessor

    public AttributeAccessor()

Method Detail

### getAttributeClass

    public java.lang.Class getAttributeClass()

  Return the class type of the attribute.

### initializeAttributes

    public void initializeAttributes(java.lang.Class descriptorClass)
                              throws DescriptorException

  Allow any initialization to be performed with the descriptor class.
  Throws:
    `DescriptorException`

### getAttributeValueFromObject

    public abstract java.lang.Object getAttributeValueFromObject(java.lang.Object object)
                                                          throws DescriptorException

  Return the attribute value from the object.
  Throws:
    `DescriptorException`

### setAttributeValueInObject

    public abstract void setAttributeValueInObject(java.lang.Object object,
                                                   java.lang.Object value)
                                            throws DescriptorException

  Set the attribute value into the object.
  Throws:
    `DescriptorException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD